#!/bin/sh
##------------------------------------------------------------------------------
##  /files/usr/local/bin/limes.sh - Programmodul
##
##  Creation:	    20.09.2010 hh
##  Last Update:  $Vers. 1.2  2011-06-08 HH $
##------------------------------------------------------------------------------

. /var/run/limes.conf									#laden der Variablen aus /var/run/limes.conf
# initalisieren der Laufvariable "gesendetN" und setzen auf "0"
idx=1
while [ $idx -le $Limes_Anz ]							# Schleife Limes_Anz
do
	eval "gesendet$idx"=0 								# noch nichts gesendet setze Status auf "0"
	eval z='$Limes_'$idx'_Files'
	if [ -r $z ]										# Prfung auf vorhandensein der Variablen
	then
	echo 'Variable '$z' existiert. berprfung wird vorgenommen!'
	else
	echo 'Variable '$z' existiert nicht. Variable wird angelegt und auf 0 gesetzt!'
	eval echo '0' >$z	
	fi	
	idx=`expr $idx + 1`		
done

# Beginn des eigendlichen Programms

while [ true ]											# starte Endlosschleife
do
	case $Limes_ping in											# Start Ping-Routine
	yes)														# prfen auf ping= yes
	idz=1							
		while [ $idz -le $Limes_fping_anz ]						# Anzahl der PINGs
		do
			ziel='$Limes_fping_'$idz'_IP'						# Ziel fr ping
			eval ping -c 1 $ziel > /dev/null					# Ziel anpingen - keine Ausgabe auf  CLI
			eval status='$?'   									# Status 0 - ok Status 1 - not ok
			eval echo "$status" >$Limes_fping_path"/"fpingstatus$idz	# schreibe Status in fpingstatusN
			idz=`expr $idz + 1`
		done													# Ende Ping-Routine
	esac
	idx=1
	while [ $idx -le $Limes_Anz ]						# Schleife Limes_Anz
	do
		eval gesendet='$gesendet'$idx
		eval z='$Limes_'$idx'_Files'
		eval read input <$z								# Lade aktuellen Wert in $input
		z=`expr length $input`							# z ist Lnge von Input
		if [ $z -gt 1 ]									# prfe nur, wenn Input lnger als ein Zeichen
		then
			z=`expr index $input ".,"`					# an welcher Stelle steht das Komma?
			if [ $z -gt 0 ]								# gibt es ein Komma ?
			then
				z=`expr $z - 1`							# Komma nicht mit ausgeben
				input=`expr substr $input 1 $z`			# input ist input bis Komma
			fi
		fi
		eval para='$Limes_'$idx'_para'
		if [ $input $para ];							# eigendliche Auswertung der Werte
		then											# wenn Bedingung erfllt...
			if [ $gesendet -le 0 ];						# wurde schon gesendet ?
			then										# nein...
				idz=1
				eval z='$Limes_'$idx'_C_Anz'			# Anzahl der usercmd-Befehle
				while [ $idz -le $z ]
				do
				eval cmd='$Limes_'$idx'_'$idz'_usercmd'
				$cmd									# ausfhren usercmd's
				idz=`expr $idz + 1`
				done
				case $Limes_smtp in						# prfen auf smtp= yes
				yes)									# wenn 'yes' dann ...
					idz=1
					eval z='$Limes_'$idx'_M_Anz'		# Anzahl der Mails
					while [ $idz -le $z ]
					do
						eval empf='$Limes_'$idx'_'$idz'_address'
						eval betr='$Limes_'$idx'_'$idz'_betreff'
						eval text='$Limes_'$idx'_'$idz'_text'
						cmd=' -f '\"$Limes_sender\"' -t '\"$empf\"' -s '\"$betr\"' -b '\"$text\" 	#Mailparameter zusammensetzen
						eval msmtp.sh$cmd > /dev/null	# Mail absenden (keine Ausgaben auf CLI)
						eval status='$?'   				# Status 0 - ok Status 1 - not ok
						sleep 3							# Pause 5sec fr korrekte Absendung
						if [ $status -eq 0 ];			# erfolgreich gesendet ?
						then
						echo 'Modul Limes: Mail erfolgreich abgesendet an '$empf' mit Betreff: '$betr >/dev/console
						else
						echo 'Modul Limes: Mail fehlerhaft an '$empf' mit Betreff: '$betr 'bitte prfen' >/dev/console
						fi
					idz=`expr $idz + 1`
					done
				;;
				esac
			gesendet=1									# Setze Status auf "gesendet"
			fi
		else
			if [ $gesendet -ge 1 ];						# Limes im Limit: wurde gesendet ?
			then
				gesendet=0
			fi
		fi
		eval "gesendet$idx"=$gesendet					# Setze Status gesendetN auf aktuellen Wert
	idx=`expr $idx + 1`	
	done
sleep $Limes_Intervall
done